from django.core.management import setup_environ
import settings
setup_environ(settings)

from comics.models import *
import csv


def main():
    print 'Opening Comic CSV...'
    comic_reader = csv.DictReader(open('Beta Comic Selection.csv', 'r'), delimiter=',', quotechar='"')

    
    print 'Updating Comics...'
    for old_comic in comic_reader:
        comic = Comic.objects.get(title=old_comic['comic_name'])
        comic.genre = old_comic['category']
        comic.tone = old_comic['subcategory']
        comic.type = old_comic['comic_type']
        comic.rating = old_comic['rating_symbol']
        comic.style = old_comic['search_style']
        comic.save()
        
        print '    >', old_comic['comic_name'], 'UPDATED'
    print 'DONE'


if __name__ == '__main__':
    main()
