from django.conf.urls.defaults import *
from comics.views import *

urlpatterns = patterns('', 
#    (r'^$', comic_list),

# FOR TESTING TEMPLATE STUFF
    (r'^create/$', create),
    (r'^check-title/$', check_title),
#    (r'^layout/(?P<id>.*)/$', edit_layout),
    (r'^add_page/(?P<id>.*)/$', add_page),
    (r'^edit_page/(?P<id>.*)/$', edit_page),
    (r'^edit/(?P<id>.*)/$', edit),
    (r'^pages/(?P<id>.*)/$', manage_pages),
    (r'^credits/(?P<id>.*)/$', manage_credits),
    (r'^assistants/drop/(?P<id>.*)/$', drop_assistant),
    (r'^assistants/(?P<id>.*)/$', manage_assistants),
    (r'^links/(?P<id>.*)/$', manage_links),
    (r'^featured/$', featured),
    (r'^add/recommend/(?P<id>.*)/$', add_recommend),
    (r'^remove/recommend/(?P<id>.*)/$', remove_recommend),
    (r'^add/favorite/(?P<id>.*)/$', add_favorite),
    (r'^remove/favorite/(?P<id>.*)/$', remove_favorite),
    (r'^email-alerts/(?P<id>.*)/$', email_alerts),
    (r'^delete/(?P<id>.*)/$', delete_comic),
    
    #(r'^(?P<slug>[-\w]+)/$', comic_detail),
    #(r'^$', 'comics.views.index'),
)
