from django.db import models
from django.contrib.auth.models import User

class Duckmark(models.Model):
    
    user = models.ForeignKey(User, related_name="duckmarks")
    url = models.TextField()
    date_added = models.DateTimeField(auto_now_add=True)
    date_modified = models.DateTimeField(auto_now=True)
    
def add_duckmark(user, object, url):
    
    duckmark = object.duckmarks.filter(user=user)
    if duckmark:
        duckmark.update(url=url)
    else:
        duckmark = Duckmark.objects.create(user=user, url=url)
        object.duckmarks.add(duckmark)
    return duckmark

#def remove_duckmark(user, object):
#    
#    duckmark = object.duckmarks.filter(user=user)
#    duckmark.delete()