from django.contrib.auth.decorators import login_required
from django.http import HttpResponse
from tutorials.models import *
from comics.models import *

@login_required
def duckmark_add(request, object_type, id):

    url = request.META['HTTP_REFERER']
    if object_type == 'comic':
        object = Comic.objects.get(pk=id)
    if object_type == 'tutorial':
        object = Tutorial.objects.get(pk=id)
    add_duckmark(request.user, object, url)
    return HttpResponse(url)

@login_required
def duckmark_remove(request, object_type, id):

    if object_type == 'comic':
        object = Comic.objects.get(pk=id)
    if object_type == 'tutorial':
        object = Tutorial.objects.get(pk=id)
    remove_duckmark(request.user, object)
    return HttpResponse('ok')