from django.conf.urls.defaults import *
from django.conf import settings
from tagging.views import tagged_object_list
from news.models import Article
from news.views import *

'''
urlpatterns = patterns('',
    (r'^$', list),
    (r'^list/$', list),
    (r'^(?P<id>.*)/$', display),
)
'''
articles = Article.objects.order_by('-date_added','title').filter(is_live=True)
data_dict = {
	'queryset': articles,
	'date_field': 'date_added',
}

urlpatterns = patterns('',
    (r'^$',news),
)

urlpatterns += patterns('django.views.generic.date_based',
    (r'(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/(?P<slug>[-\w]+)/$', 'object_detail', dict(data_dict, template_name='news/display.html')),
    (r'^(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/(?P<slug>[-\w]+)/$', 'object_detail', dict(data_dict, template_name='news/display.html')),
    (r'^(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/$','archive_day',dict(data_dict,template_name='news/display.html')),
    (r'^(?P<year>\d{4})/$','archive_year', dict(data_dict, template_name='news/display.html')),
    (r'^(?P<year>\d{4})/(?P<month>[a-z]{3})/$','archive_month', dict(data_dict, template_name='news/index.html')),
)
