from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
from django.shortcuts import render_to_response
from django.template import RequestContext
from users.models import *
from requests.models import *

@login_required
def list(request):
    
    if request.method == "POST":
        request_object = Request.objects.filter(pk=request.POST['request'])
        if request_object:
            request_object = request_object[0]
            submit = request.POST['submit']
            if submit == 'approve':
                if request_object.request_type == 0:
                    change_relationship_status(request.user, request_object.content_object, 2)
                elif request_object.request_type == 1:
                    request_object.content_object.assistants.add(request.user)
            elif submit == 'decline':
                if request_object.request_type == 0:
                    change_relationship_status(request.user, request_object.content_object, 0)
            request_object.delete()
    return render_to_response('requests/list.html', context_instance=RequestContext(request)) 