from django.conf.urls.defaults import *
from users.views import *

urlpatterns = patterns('',
    (r'^$', display),
    (r'^upload_avatar/$', upload_avatar),
    (r'^edit/$', edit),
    (r'^forums/$', forums),
    (r'^favorites/$', favorites),
    (r'^signup/$', signup),
    (r'^signup/complete/$', signup_complete),
    (r'^reset/$', reset),
    (r'^reset/complete/$', reset_complete),
    (r'^request-friendship/(?P<username>.*)/$', request_friendship),
    (r'^remove-friendship/(?P<username>.*)/$', remove_friendship),
    (r'^check-username/$', check_username),
    (r'^check-email/$', check_email),
    (r'^verify_email/$', verify_email),
    (r'^(?P<username>.*)/$', display),
)
