from django.shortcuts import render_to_response, get_object_or_404
from django.template import RequestContext
from corp.models import *

def about(request):
    
    about = Corp.objects.get().about
    contact = Corp.objects.get().contact
    return render_to_response('corp/about.html', {'about':about, 'contact':contact}, context_instance=RequestContext(request))    

def privacy(request):
    
    privacy = Corp.objects.get().privacy
    return render_to_response('corp/privacy.html', {'privacy':privacy}, context_instance=RequestContext(request))    

def terms(request):

    terms = Corp.objects.get().terms
    return render_to_response('corp/terms.html', {'terms':terms}, context_instance=RequestContext(request))    

def etiquette(request):

    etiquette = Corp.objects.get().etiquette
    return render_to_response('corp/etiquette.html', {'etiquette':etiquette}, context_instance=RequestContext(request))    

def copyright(request):

    copyright = Corp.objects.get().copyright
    return render_to_response('corp/copyright.html', {'copyright':copyright}, context_instance=RequestContext(request))    

def help(request):
    
    help = Corp.objects.get().help
    return render_to_response('corp/help.html', {'help':help}, context_instance=RequestContext(request))    