from django.conf.urls.defaults import *
from forums.views import *

urlpatterns = patterns('',
    (r'^$', list_forums),
    (r'^add/$', add_forum),
    (r'^delete/(?P<id>\d+)/$', delete_forum),
    (r'^edit/(?P<id>\d+)/$', edit_forum),
    (r'^comic/(?P<id>\d+)/$', list_comic_forums),
    (r'^comic/add/(?P<id>\d+)/$', add_comic_forum),
    (r'^post/add/(?P<id>.*)/$', add_post),
    (r'^post/delete/(?P<id>.*)/$', delete_post),
    (r'^post/edit/(?P<id>.*)/$', edit_post),
    (r'^topic/add/(?P<id>.*)/$', add_topic),
    (r'^topic/edit/(?P<id>.*)/$', edit_topic),
    (r'^topic/delete/(?P<id>.*)/$', delete_topic),
    (r'^topic/(?P<id>.*)/$', list_posts),
    (r'^(?P<id>.*)/$', list_topics),
)
