from django.contrib.auth.decorators import login_required
from django.http import HttpResponse
#from django.utils import simplejson
from django.shortcuts import render_to_response, render
from django.template import RequestContext
from ratings.models import *
from tutorials.models import *
from comics.models import *
from podcasts.models import Episode
from videos.models import *
from news.models import *

#def dump(values):
#    return simplejson.dumps(values)
#
#def JsonResponse(values):
#    return HttpResponse(dump(values), mimetype="application/json")

@login_required
def rating_add(request, object_type, id, rating):

    if rating > 5:
        rating = 5
    elif rating < 1:
        rating = 1
    if object_type == 'tutorial':
        object = Tutorial.objects.get(pk=id)
    add_rating(request.user, object, rating)
    return render(request, 'ratings/stars.html', {'object':object})

@login_required
def like_add(request, object_type, id, like_type=0):

    if object_type == 'comic':
        object = Comic.objects.get(pk=id)
    if object_type == 'episode':
        object = Episode.objects.get(pk=id)
    if object_type == 'video':
        object = Video.objects.get(pk=id)
    if object_type == 'article':
        object = Article.objects.get(pk=id)
    add_like(request.user, object, like_type)
    count = object.likes.filter(like_type=like_type).count()
    return HttpResponse(str(count))