from django.contrib import admin
from subpages.models import SubPage

class SubPageAdmin(admin.ModelAdmin):
    
    list_display = ('comic', 'title',)
    search_fields = ['comic__title', 'comic__user__username', 'title']
    
admin.site.register(SubPage, SubPageAdmin)