from django import forms
from subpages.models import SubPage
from tinymce.widgets import TinyMCE

class SubPageForm(forms.ModelForm):
    
    class Meta:
        
        model = SubPage
        fields = (
            'title',
            'description',
            'content',
        )
        widgets = {
            'content': TinyMCE(),
        }
