from django.core.management import setup_environ
import settings
setup_environ(settings)

import csv
from forums.models import *
from django.contrib.auth.models import User
from django.utils.encoding import smart_str

def read_csv():
    print 'Opening Files...'

#    print 'Importing Forum Topics...'
#    topics_reader = csv.DictReader(open('forum_topics.csv', 'r'), delimiter=',', quotechar='"')
#    for old_topic in topics_reader:
#        try:
#            forum = Forum.objects.get(old_id=int(old_topic['drunkduck_community.t.category_id']))
#            user = User.objects.get(username=old_topic['drunkduck.u.username'])
#        except:
#            continue
#        date, time = old_topic['date_added'].split(' ')
#        month, day, year = date.split('/')
#        date_added = "%s-%s-%s %s" % (year, month, day, time)
#        topic = Topic.objects.create(
#            user=user,
#            forum=forum,
#            title=smart_str(old_topic['drunkduck_community.t.title']),
#            is_sticky=bool(int(old_topic['drunkduck_community.t.is_sticky'])),
#            is_important=bool(int(old_topic['is_important'])),
#            is_locked=bool(int(old_topic['is_locked'])),
#            old_id=int(old_topic['drunkduck_community.t.id'])
#        )
#        topic.date_added = date_added
#        topic.save()
#        print topic.title
    
    print 'Importing Forum Posts...'
    post_reader = csv.DictReader(open('forum_posts.csv', 'r'), delimiter=',', quotechar='"')

    for old_post in post_reader:
        try:
            topic = Topic.objects.get(old_id=int(old_post['drunkduck_community.p.topic_id']))
            user = User.objects.get(username=old_post['drunkduck.u.username'])
        except:
            continue
        date, time = old_post['date_added'].split(' ')
        month, day, year = date.split('/')
        date_added = "%s-%s-%s %s" % (year, month, day, time)
        post = Post.objects.create(
            user=user,
            topic=topic,
            body=smart_str(old_post['drunkduck_community.p.body'])
        )
        post.date_added = date_added
        post.save()
        print "%s - %s" % (topic.title, user.username)
        
    print 'DONE'

if __name__ == '__main__':
    read_csv()
